# Maintainer: anon at sansorgan.es
_name=dune-pdelab
pkgname="$_name-git"
_gitcommit=4e0e7bbeb456e181855bf5bd964c8db3d714d717
pkgver=5136.4e0e7bbe
pkgrel=1
#epoch=
pkgdesc="New generalized discretization module for a wide range of discretization methods"
arch=('x86_64')
url="https://www.dune-project.org/modules/dune-pdelab"
license=('LGPL3')
groups=('dune-pdelab-module')
depends=('dune-functions-git' 'vc' 'superlu' 'arpackpp' 'suitesparse') #'dune-alugrid-git'
makedepends=('eigen' 'petsc') #'dune-python' 'gmp'
# makedepends=('texlive-core' 'biber' 'imagemagick' 'python-sphinx' 'doxygen' 'gnu-free-fonts' 'inkscape' 'vc' 'parmetis' 'superlu' 'arpackpp' 'suitesparse' 'zoltan' 'eigen' 'dune-alugrid' 'dune-python') #'gmp'
#checkdepends=()
optdepends=(
  'texlive-core: Type setting system'
  'biber: A Unicode-capable BibTeX replacement for biblatex users'
  'imagemagick: image viewing/manipulation program'
  'python-sphinx: Building Sphinx documentation'
  'doxygen: Generate the class documentation from C++ sources'
  'inkscape: converts SVG images'
  'eigen: Lightweight C++ template library for vector and matrix math'
  'petsc: Portable, extensible toolkit for scientific computation'
  'dune-python: Python bindings for the Dune')
provides=(${_name}=${pkgver})
conflicts=(${_name})
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(${pkgname}.opts "git+https://github.com/dune-project/${_name}#commit=${_gitcommit}")
#noextract=()
sha512sums=('966550dc78dd3d0f5fbefd5b565e18352856ab7ae5bda12e5a044c5c7edfd6c40853f87e44d575118a0f411eb81afc0cde23e42441c8477289e82dc314bdae7b' 'SKIP')

pkgver() {
  cd "${_name}"
  printf "%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

# prepare() {

# }

build() {
  dunecontrol --opts=${pkgname}.opts cmake -Wno-dev : make
  # cd "${_name}/build-cmake/python"
  # python setup.py build
}

# check() {
#   dunecontrol --opts=${pkgname}.opts make build_tests #test_python
#   cd "${_name}/build-cmake"
#   # https://gitlab.dune-project.org/infrastructure/dune-nightly-test/-/blob/master/bin/duneci-test#L76
#   export OMPI_MCA_rmaps_base_oversubscribe=1
#   export OMPI_MCA_mpi_yield_when_idle=1
#   export OMPI_MCA_btl_base_warn_component_unused=0
#   DUNE_CONTROL_PATH="${srcdir}/${_name}" dune-ctest
# }

package() {
  dunecontrol --only=${_name} make install DESTDIR="${pkgdir}"

  install -Dm644 ${_name}/COPYING "${pkgdir}/usr/share/licenses/${_name}/LICENSE"

  # install -dm755 "${pkgdir}/usr/share/doc/${pkgname}/doxygen"

  find "${pkgdir}" -type d -empty -delete
}
